#include <bits/stdc++.h>
#include <limits.h>

using namespace std;

void solve(){
	int minpoklapanje=0;
	int uzastopni=1;
	int v[127];
	int k[127];
	for(int i=0; i<127; i++){
		v[i]=0;
		k[i]=0;
	}
	string t; cin>>t;
	string s; cin>>s;
	int tlen = t.length();
	int slen = s.length();
	v[t[0]]=1;
	for(int i=1; i<tlen; i++){
		if(t[i-1]==t[i]){
			uzastopni++;	
		}else{
			uzastopni=1;
		}
		
		v[t[i]]=max(uzastopni,v[t[i]]);


	}
	for(int i=0; i<slen; i++){
		k[s[i]]++;
	}
	minpoklapanje = v[s[0]]-k[s[0]];
	char pointer=s[0];
	for(int i=1; i<slen; i++){
		if(v[s[i]]-k[s[i]]<minpoklapanje){
			minpoklapanje = v[s[i]]-k[s[i]];
			pointer = s[i];
		}

	}	
	minpoklapanje = max(-1,minpoklapanje);
	if(minpoklapanje==-1){
		pointer=' ';
	}
	string out ="";
	cout<<minpoklapanje+1<<endl;
	for(int i=0; i<tlen; i++){
		if(t[i]==pointer && minpoklapanje+1!=0){
			out+='*';
			minpoklapanje--;
		}else{
			out+=t[i];
		}

	}
	cout<<out;

}

int main(){
	ios_base::sync_with_stdio(false);
    cin.tie(NULL);
	solve();
   

	
}